List Harness integrations
curl --request GET \
--url https://www.corgea.app/api/v1/integrations/harness \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/integrations/harness"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/integrations/harness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"integrations": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "harness",
"name": "<string>",
"account_id": "<string>",
"account_name": "<string>",
"org_allowlist": [
"<string>"
],
"base_url": "<string>",
"gateway_prefix": "<string>",
"expired": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"total_pages": 123,
"total_integrations": 123
}{
"error": "Missing or invalid authorization header"
}Harness integrations
List Harness integrations
Lists Harness Code SCM integrations for your company. Requires the integrations.view_integration permission.
GET
/
integrations
/
harness
List Harness integrations
Authorizations
CorgeaTokenBearerAuth
API key for authentication
Query Parameters
Required range:
x >= 1Number of integrations per page (maximum 50).
Required range:
1 <= x <= 50Was this page helpful?
⌘I
